#ifndef	_LZFR_H_
#define	_LZFR_H_


/* ---- \[Xʃwb_ ---- */
#pragma pack(push, 1)
typedef struct {
	unsigned short	magic;
	unsigned short	type;
	short			size16p;
	unsigned short	id;
	unsigned short	type2;
} RES_COMMON_HEADER;
#pragma pack(pop)



/* ---- PȂx^f[^ ---- */
#pragma pack(push, 1)
typedef struct {
	/* Type2 == 'DT' */
	unsigned short	size;			/* wb_͊܂߂܂ */
} TYPE_DT;
#pragma pack(pop)



/* ---- FRBM ݊tHgf[^ ---- */
#pragma pack(push, 1)
typedef struct {
	/* Type2 == 'BM' */
	unsigned short	size;			/* wb_͊܂߂܂ */
	unsigned char	width;    		/* char count x */
   	unsigned char	height;			/* char count y */
   	unsigned char	format;			/* 0=mono, 1=4color, 2=3color+BG, 4..7=16color */
   	unsigned char	reserve;
   	unsigned char	clrtable[4];	/* not used in 16color image */
	unsigned short	pal_table[16];	/* clut */
} TYPE_BM;
#pragma pack(pop)



#pragma pack(push, 1)
typedef struct {
	RES_COMMON_HEADER	LZ;
	union {
		TYPE_DT	DT;
		TYPE_BM	BM;	
	} TYPE;
} RES_LZ;
#pragma pack(pop)



#endif /* _LZFR_H_ */


